from customtkinter import *
import customtkinter as ctk


from matplotlib.backends.backend_tkagg import FigureCanvasTkAgg
from matplotlib.figure import Figure



ctk.set_appearance_mode('dark')
ctk.set_default_color_theme('blue')
app = ctk.CTk()
app.geometry('800x440+1+1')

g = Figure(figsize=(5.5,2.9) , 
           dpi=100,
           facecolor="#231e1f") # colore esterno grafico lightslategray
    
ag = g.add_subplot(111)




Xv = []
Yv = []
gry = [12, 40, 40, 60, 60, 72, 72, 73, 73, 78, 78]
grx = [0, 28, 38, 58, 124, 136, 146, 147, 157, 162, 182]
Color = ['m','m','g','g','b','b','c','c','y','y']
n3=0
n2=0
n1 = len(gry)


for n in range (n1):
    m = grx[n]
    Xv.append(m)
    t = gry[n]
    Yv.append(t)
    if n2==1:
        col = Color[n3]
                 
        ag.plot(Xv , Yv,c=col ,linewidth=1.3, ) # c= colore c='r' -marker='o'
        ag.fill_between(Xv , Yv, facecolor=col, alpha=0.2 ) #thistle
                 
                 
        del Xv[0]
        del Yv[0]
        n2=0
        n3=n3+1
    n2=n2+1


             
mt= 182
       
# Gestione parametri Grafico 
ag.set_xlabel("Tempo in Minuti",fontsize=10, color="w")#  inserisco testo in x
ag.set_ylabel("Temperatura" , rotation = 'vertical',fontsize=10, color="w")#  inserisco testo in y
ag.set_title("Grafico",fontsize=10, color="w")#  inserisco testi in titolo
ag.set_ylim(0, 100)# limite max grafico y
ag.set_xlim(0,mt+10)# limite max grafico x
ag.tick_params(colors='w') # which='both'
ag.grid(axis="y", linestyle="dashed", color="b", alpha=0.5)# inserisco righe orizzontali linestyle = "dashed"
ag.grid(axis="x", linestyle="None", color="b")# elimino righe orizzontali linestyle = "None"
         
ag.set_facecolor("#231e1f")# colore interno grafico
	 
canvas = FigureCanvasTkAgg(g,app)# crea in Tkinter canvas - master = fin
canvas.draw()# containing the Matplotlib figure

# inserisco cavas in tkinter e inserisci la posizione (place in pixel) 
canvas.get_tk_widget().place(x = 180 , y = 50 )

if __name__ == "__main__":
   app.mainloop()